<script>
    export default {
        data: () => ({
            modal: false,
        })
    }
</script>
<template>
    <div class="scratch-and-win-view t-view t-yellow">
        <div class="flex justify-end tx-bold gap-5 mb-10">
            <router-link to="/inicio/tienda">
                Regresar
            </router-link>
            <router-link to="/inicio/arena-zuggy">
                Inicio
            </router-link>
        </div>

        ¡Rasca y descubre la recompensa que preparamos especialmente para ti!
        <div class="t-box h-80 t-black my-10" @click="modal = true"></div>
        Gana increíbles premios todas las semanas, solo necesitas mantener activa tu membresía mensual. Recuerda renovarla cada mes.

        <div class="modal flex align-center" v-if="modal">
            <div class="modal-lightbox t-yellow max-w-100 p-20">
                <div class="modal-close" @click="modal = false">
                    &times;
                </div>
                ¡Felicidades! Has ganado $200 en tu monedero Steam
                <br>
                <br>
                [Imagen Steam con código 5678UTY]
                <br>
                <br>
                Registra el código y estarás listo para disfrutar y utilizarlo en lo que más quieras.
            </div>
        </div>
    </div>  
</template>